smart proxy for java puppet master

01/15/2015 12:59 PM - cristian falcas

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I was wondering if we will have integration from foreman with the new puppet master.

History

#1 - 01/16/2015 03:32 AM - Dominic Cleal

- Status changed from New to Feedback

This pretty much works, as of Foreman 1.7.  If you set --puppet-server-implementation=puppetserver then it will install Puppet Server instead.

There is an SSL issue with the reports processor though, as you need to add a DH PARAMETERS section to the Puppet SSL certificate so Puppet

Server can communicate with Apache (Foreman).  https://tickets.puppetlabs.com/browse/SERVER-17 has some details.

#2 - 01/18/2015 05:23 PM - cristian falcas

Thank you, I found the new parameter in the puppet class.

#3 - 01/19/2015 03:50 AM - Dominic Cleal

- Status changed from Feedback to Resolved
